Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotPoseCollection Class Reference

`#include <RobotPoseCollection.h>`

Collaboration diagram for RobotPoseCollection:

[legend]
List of all members.

## Public Member Functions
| RobotPoseCollection ()
RobotPose & | operator[] (int index)
const RobotPose & | operator[] (int index) const
## Public Attributes
int | numberOfPoses
int | numberOfUsedPoses
RobotPose | poses [3]

## Detailed Description

Author:
  Carsten Rohde

  Thorsten Kerkhof

Definition at line 11 of file RobotPoseCollection.h.

## Constructor & Destructor Documentation

RobotPoseCollection::RobotPoseCollection | ( |  | ) |

| Author: Carsten Rohde Thorsten Kerkhof Definition at line 9 of file RobotPoseCollection.cpp.

## Member Function Documentation

RobotPose& RobotPoseCollection::operator[] | ( | int | index | ) | `[inline]`

| Definition at line 20 of file RobotPoseCollection.h. References poses.

const RobotPose& RobotPoseCollection::operator[] | ( | int | index | ) | const`[inline]`

| Definition at line 21 of file RobotPoseCollection.h. References poses.

## Member Data Documentation

int RobotPoseCollection::numberOfPoses

| Definition at line 14 of file RobotPoseCollection.h. Referenced by SlamSelfLocator::calcPose(), GT2005StableSelfLocator::calcPose(), GT2005SelfLocator::calcPose(), operator<<(), and operator>>().

int RobotPoseCollection::numberOfUsedPoses

| Definition at line 15 of file RobotPoseCollection.h. Referenced by operator>>().

RobotPose RobotPoseCollection::poses[3]

| Definition at line 16 of file RobotPoseCollection.h. Referenced by SlamSelfLocator::calcPose(), GT2005StableSelfLocator::calcPose(), GT2005SelfLocator::calcPose(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), operator<<(), operator>>(), and operator[]().

The documentation for this class was generated from the following files:

- Representations/Cognition/RobotPoseCollection.h
- Representations/Cognition/RobotPoseCollection.cpp